#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	glew
Version		:	2.2.0
Release		:	17.0.10.rel%{?dist}
summary		:	The OpenGL Extension Wrangler Library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Modified BSD License
URL		:	http://glew.sourceforge.net/basic.html

Source0		:	%{name}-%{version}.tgz

#-----------------------------------------------------------------------------
BuildRequires	:	mesa-devel
BuildRequires	:	glu
#-----------------------------------------------------------------------------
%description
The OpenGL Extension Wrangler Library (GLEW) is
a cross-platform C/C++ extension loading library.
GLEW provides efficient run-time mechanisms for
determining which OpenGL extensions are supported
on the target platform.
OpenGL core and extension functionality is exposed
in a single header file.
GLEW is available for a variety of operating systems,
including Windows, Linux, Mac OS X, FreeBSD,
Irix, and Solaris.
 
This package contains the demo GLEW utilities.
The libraries themselves are in libGLEW.

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -e "s:/lib/pkgconfig:/%{_lib}/pkgconfig:"		\
  Makefile

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 						\
	%{_smp_mflags}					\
	CFLAGS.EXTRA="$RPM_OPT_FLAGS -fPIC"		\
	GLEW_DEST=%{_prefix}				\
	GLEW_LIB=%{_libdir}				\
	STRIP=						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	GLEW_DEST=%{_prefix}				\
	LIBDIR=%{_libdir}				\
	PKGDIR=%{_libdir}/pkgconfig			\
	STRIP=						\
	install.all

%{__rm} -fr %{buildroot}%{_libdir}/libGLEW.a
%{__chmod} +x %{buildroot}/%{_libdir}/*.so.*

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}info
%{_bindir}/visualinfo
%{_includedir}/GL/*.h
%{_libdir}/libGLEW.so*
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------
%changelog
